无标题文档
WDCDN联

盟内部测试火热进行中
wdCP系统 (介绍,功能特性,运行环境,安装说明,演示,常见问题,使用教程) wdCDN系统 (介绍,功能特性,运行环境,安装说明,演示,常见问题,使用手册)
wdOS系统 (介绍,功能特性,运行环境,安装说明,演示,常见问题,使用教程) wdDNS系统 (介绍,功能特性,运行环境,安装说明,演示,常见问题,使用手册)
注册 发贴 提问 回复-必看必看 wddns免费智能 DNS 开通 本地或虚拟机使 用wdcp 一键包在mysql编 译时"卡住"
【300G高防】双线 无视攻击 wdcp官方技术支持/服务 快云主机,更快性能
价格秒杀其它厂商
腾讯云优惠中,现注册更有260代金额券赠送
返回列表 发帖
提问三步曲: 提问先看教程/FAQ索引(wdcp,一键包,wdOS)及搜索,会让你更快解决问题
1 对应版块,提供系统版本位数,wdcp版本,lamp,lnmp,lnamp是哪个环境,rpm或编译安装
2 有哪些错误信息或提示,贴上论坛或截图发论坛
3 做过哪些操作或更改或设置等详细说明

温馨提示:信息不详,很可能会没人理你!论坛有相应教程说明的,也可能没人理!因为,你懂的

[分享] 分享个PHP 5.4的升级脚本

本帖最后由 wulali 于 2016-7-4 18:23 编辑

适用于lanmp V2.5
此脚本为本人从老大发布的PHP 5.3升级脚本修改而来~~
加入了mysqli、pdo_mysql扩展,提供给喜欢追新或有高版本需求的网友,如无此需要的话,使用原先的PHP 5.2.17即可
注:某些程序可能仅能在低版本下正常工作,如无必要请谨慎升级!
该升级只是升级PHP的版本,相应的zend,eaccelerator没有升级
且zend opt从php5.3开始已不再支持,也就是说有用到zend opt的,就不要升级了,否则只会瞎折腾

升级方法如下:
下载下面的附件,
php_up54.zip (1.08 KB)
解压后将sh文件上传到root目录下(或当前工作路径),
然后在SSH里执行此命令
  1. sh php_up54.sh
复制代码
~
脚本里的PHP版本为5.4.45,如果以后发布了新版本的话,执行:(将版本号改成实际的版本号即可)
  1. sh php_up54.sh 版本号
复制代码
==================================
引自 33L jacky6388:
  1. make: *** [ext/date/lib/parse_date.lo] Error 1
  2. make err
复制代码
当出现类似于上面的错误时,可能是由于PHP5.4限制了小于1G内存的主机的安装
可以通过以下步骤来解决:
用专门的文本编辑器(如Notepad++、EditPlus等,不要用记事本打开)打开下载好的sh文件,找到--disable-rpath字段(有两处)
都修改为:--disable-fileinfo
这样就可以绕过检测来安装

不错
看清提问三步曲及多看教程/FAQ索引(wdcp,一键包,wdOS),益处多多.wdcp工具集

TOP

好站长。
。。。。。。

TOP

5.4暂时应该没必要,希望admin可以在wdlinux里升级到5.3

TOP

5.3的有升级脚本
看清提问三步曲及多看教程/FAQ索引(wdcp,一键包,wdOS),益处多多.wdcp工具集

TOP

感谢楼主,去升级一下试试

TOP

请问站长如何升级mysql?谢谢

TOP

请问站长如何升级mysql?谢谢
meqyj 发表于 2013-1-14 12:36

这里有个老大发的MySQL 5.5升级脚本(不过貌似MySQL 5.5比5.1占用的内存要大)
http://www.wdlinux.cn/bbs/redire ... 3&fromuid=14669
请先升级mysql,之后再升级php

TOP

升级 MySQL 5.5后 升级 PHP5.4 出现 
/root/php-5.4.10/sapi/cli/php: error while loading shared libraries: libmysqlclient.so.18: cannot open shared object file: No such file or directory
make: *** [ext/phar/phar.php] Error 127
make err

按网上搜索到的方法 建立  libmysqlclient.so.18 的软连接 无效

TOP

回复 8# wulali


    多谢,多谢,为何要先升级mysql,我已经升级了php了。

TOP

那么,兄弟们,Apache的升级脚本是什么,哪位兄弟知道,恳请赐教!谢谢

TOP

菜鸟不敢折腾,万一挂了数据就毁了

TOP

本帖最后由 wulali 于 2013-1-15 14:02 编辑
升级 MySQL 5.5后 升级 PHP5.4 出现 
/root/php-5.4.10/sapi/cli/php: error while loading shared li ...
天帝 发表于 2013-1-15 10:07

32位执行
  1. ln -sf /www/wdlinux/mysql/lib/libmysqlclient.so.18 /usr/lib
复制代码
64位执行
  1. ln -sf /www/wdlinux/mysql/lib/libmysqlclient.so.18 /usr/lib64
复制代码
之后再升级PHP试试

TOP

本帖最后由 wulali 于 2013-1-15 12:56 编辑
回复  wulali


    多谢,多谢,为何要先升级mysql,我已经升级了php了。
meqyj 发表于 2013-1-15 10:09

因为貌似编译PHP时需要MySQL的某些库,所以应该先升级MySQL,再升级PHP
(不然PHP里的mysqli、pdo_mysql扩展的版本仍会是原来MySQL 5.1的版本)
你如果已经升级了PHP的话,在升级MySQL之后,可以重新编译一下PHP

TOP

回复 13# wulali


   按这个方法操作了,还是出哪提示

TOP

返回列表